%global somajor 1
%bcond_with openjph

Summary:        HEIF and AVIF file format decoder and encoder
Name:           libheif
Version:        1.19.8
Release:        2%{?dist}
License:        LGPL-3.0-or-later and MIT
URL:            https://github.com/strukturag/libheif
Source0:        %{url}/archive/v%{version}/libheif-%{version}.tar.gz
Patch0001:      libheif-no-hevc-tests.patch

BuildRequires:  cmake, gcc-c++, ninja-build
#BuildRequires:  openjpeg-devel, noopenh264-devel/openh264-devel
BuildRequires:  libaom-devel, libdav1d-devel, brotli-devel, libjpeg-turbo-devel
BuildRequires:  libpng-devel, libwebp-devel, rav1e-devel, svt-av1-devel
%if %{with openjph}
BuildRequires:  pkgconfig(openjph) >= 0.18.0
%endif

%description
libheif is an ISO/IEC 23008-12:2017 HEIF and AVIF (AV1 Image File Format)
file format decoder and encoder.

%package -n     heif-pixbuf-loader
Summary:        HEIF image loader for GTK+ applications
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
Requires:       %{name} = %{version}-%{release}
Requires:       gdk-pixbuf2

%description -n heif-pixbuf-loader
This package provides a plugin to load HEIF files in GTK+ applications.

%package        tools
Summary:        Tools for manipulating HEIF files
License:        MIT
Requires:       %{name} = %{version}-%{release}
Requires:       shared-mime-info

%description    tools
This package provides tools for manipulating HEIF files.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%prep
%autosetup -p 1
rm -rf third-party/



%build
%cmake \
 -GNinja \
 -DBUILD_TESTING=ON \
 -DCMAKE_COMPILE_WARNING_AS_ERROR=OFF \
 -DPLUGIN_DIRECTORY=%{_libdir}/%{name} \
 -DWITH_DAV1D=ON \
 -DWITH_DAV1D_PLUGIN=OFF \
 -DWITH_JPEG_DECODER=ON \
 -DWITH_JPEG_ENCODER=ON \
 -DWITH_OpenH264_DECODER=OFF \
 -DWITH_OpenH264_ENCODER=OFF \
 -DWITH_OpenJPEG_DECODER=OFF \
 -DWITH_OpenJPEG_DECODER_PLUGIN=OFF \
 -DWITH_OpenJPEG_ENCODER=OFF \
 -DWITH_OpenJPEG_ENCODER_PLUGIN=OFF \
%if %{with openjph}
 -DWITH_OPENJPH_DECODER=ON \
 -DWITH_OPENJPH_ENCODER=ON \
 -DWITH_OPENJPH_ENCODER_PLUGIN=OFF \
%endif
 -DWITH_RAV1E=ON \
 -DWITH_RAV1E_PLUGIN=OFF \
 -DWITH_SvtEnc=ON \
 -DWITH_SvtEnc_PLUGIN=OFF \
 -DWITH_UNCOMPRESSED_CODEC=ON \
 -Wno-dev

%cmake_build



%install
%cmake_install



%check
%ctest



%files
%license COPYING
%doc README.md
%{_libdir}/*.so.%{somajor}{,.*}
%dir %{_libdir}/%{name}

%files -n heif-pixbuf-loader
%{_libdir}/gdk-pixbuf-2.0/*/loaders/libpixbufloader-heif.so

%files tools
%{_bindir}/heif-*
%{_mandir}/man1/heif-*
%{_datadir}/thumbnailers/heif.thumbnailer

%files devel
%{_libdir}/*.so
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}/



%changelog
* Tue Jun 10 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.19.8-2
- Rebuilt for loongarch64

* Wed May 14 2025 Zhao Zhen <jeremiazhao@tencent.com> - 1.19.8-1
- [Type] security
- [DESC] fixed CVE-2025-43967 CVE-2025-43966 CVE-2025-29482

* Thu Feb 13 2025 Fanjun Kong <fanjunkong@tencent.com> - 1.18.2-2
- rebuild for rav1e

* Wed Aug 28 2024 Zhao Zhen <jeremiazhao@tencent.com> - 1.18.2-1
- [Type] security
- [DESC] fixed CVE-2023-49464 CVE-2023-49463 CVE-2023-49462 CVE-2023-49460

* Tue May 14 2024 Rebuild Robot <rebot@opencloudos.org> - 1.16.2-5
- [Type] other
- [DESC] Rebuilt for dav1d

* Wed Apr 3 2024 Wang Guodong <gordonwwang@tencent.com> - 1.16.2-4
- Fix compilation with svt-av1 2.0.0

* Wed Mar 20 2024 Rebuild Robot <rebot@opencloudos.org> - 1.16.2-3
- Rebuilt for dav1d

* Tue Mar 19 2024 Zhao Zhen <jeremiazhao@tencent.com> - 1.16.2-2
- fixed CVE-2024-25269 CVE-2023-49462

* Mon Nov 27 2023 Chair <chairou@tencent.com> - 1.16.2-1
- Init
